%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-setuptools_scm
Version:       8.3.1
Release:       1mamba
Summary:       Handles managing your python package versions in scm metadata
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pypa/setuptools-scm
Source:        https://pypi.debian.net/setuptools-scm/setuptools_scm-%{version}.tar.gz
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(packaging)
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.11.5
BuildConflicts: python-setuptools_scm-py3 < 8

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n setuptools_scm-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel --skip-dependency-check

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

rm -f %{buildroot}%{python3_sitelib}/setuptools_scm/.git_archival.txt

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Thu Apr 24 2025 Automatic Build System <autodist@openmamba.org> 8.3.1-1mamba
- automatic version update by autodist

* Wed Apr 23 2025 Automatic Build System <autodist@openmamba.org> 8.3.0-1mamba
- automatic version update by autodist

* Wed Mar 19 2025 Automatic Build System <autodist@openmamba.org> 8.2.1-1mamba
- automatic version update by autodist

* Tue Feb 25 2025 Automatic Build System <autodist@openmamba.org> 8.2.0-1mamba
- automatic version update by autodist

* Sun Jul 28 2024 Automatic Build System <autodist@openmamba.org> 8.1.0-1mamba
- automatic version update by autodist

* Sat Sep 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 7.1.0-2mamba
- rebuilt with python3 == 3.11

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Tue Jul 12 2022 Automatic Build System <autodist@mambasoft.it> 7.0.5-1mamba
- automatic version update by autodist

* Fri Jul 01 2022 Automatic Build System <autodist@mambasoft.it> 7.0.4-1mamba
- automatic version update by autodist

* Wed Jun 29 2022 Automatic Build System <autodist@mambasoft.it> 7.0.3-1mamba
- automatic version update by autodist

* Thu Jun 23 2022 Automatic Build System <autodist@mambasoft.it> 7.0.2-1mamba
- automatic version update by autodist

* Wed Jun 22 2022 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.2-2mamba
- rebuilt with python 3.10

* Tue Jan 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.2-1mamba
- package created using the webbuild interface
